﻿local Engine, Api, Locale, Settings = unpack(Immersive)

local Default = Engine:GetModule("Default")

-- Registers the element.
function Default:RegisterMultiBarLeft()
	local settings = Settings:Get(self.Name).Elements["MultibarLeft"]
	local bar = Api:RegisterElement("MultibarLeft", settings)
	
	-- Add frames
	bar:AddFrame(MultiBarLeft)
	
	-- Add conditions
	bar:AddConditionRange(settings.Conditions)
	
	-- Add hotspots
	bar:AddHotspot(MultiBarLeft:GetRect())
end

-- Unregisters the element.
function Default:UnregisterMultiBarLeft()
	Api:UnregisterElement("MultibarLeft")
end