﻿local Engine, Api, Locale, Settings = unpack(Immersive)

local Tukui = Engine:GetModule("Tukui")

-- Registers the Tukui options frame
function Tukui:OnRegisterOptions()
	local settings = Settings:Get(self.Name)
	local panel = CreateFrame("Frame", string.format("%s%sOptionsFrame", Engine.AddOnName, self.Name))

	panel.name = Locale.TUKUI_OPTIONS_NAME
	panel.parent = Locale.CONFIG_OPTIONS_NAME

	-- Description
	local title = panel:CreateFontString("Title", "ARTWORK", "GameFontNormalLarge")
	title:SetJustifyH("LEFT")
	title:SetJustifyV("TOP")
	title:SetPoint("TOPLEFT", panel, "TOPLEFT", 16, -16)
	title:SetText(Locale.TUKUI_OPTIONS_TITLE)

	local subText = panel:CreateFontString("Title", "ARTWORK", "GameFontHighlightSmall")
	subText:SetJustifyH("LEFT")
	subText:SetJustifyV("TOP")
	subText:SetPoint("TOPLEFT", title, "BOTTOMLEFT", 0, -8)
	subText:SetPoint("RIGHT", panel, "RIGHT", -32, 0)
	subText:SetText(Locale.TUKUI_OPTIONS_SUBTEXT)

	-- Controls: Enable
	local notice = panel:CreateFontString("Notice", "ARTWORK", "GameFontHighlight")
	notice:SetJustifyH("LEFT")
	notice:SetPoint("TOPLEFT", subText, "BOTTOMLEFT", 6, -14)
	notice:SetText(Locale.TUKUI_OPTIONS_NOTICE_TEXT)

	InterfaceOptions_AddCategory(panel)
end